| Apache Ignite C++

Public Member Functions | Static Public Member Functions | List of all members
ignite::jni::java::JniContext Class Reference

Unmanaged context. More...

`#include <java.h>`

## Public Member Functions
void | IgnitionStart (char *cfgPath, char *name, int factoryId, int64_t dataPtr)
void | IgnitionStart (char *cfgPath, char *name, int factoryId, int64_t dataPtr, JniErrorInfo *errInfo)
int64_t | IgnitionEnvironmentPointer (char *name)
int64_t | IgnitionEnvironmentPointer (char *name, JniErrorInfo *errInfo)
bool | IgnitionStop (char *name, bool cancel)
bool | IgnitionStop (char *name, bool cancel, JniErrorInfo *errInfo)
void | IgnitionStopAll (bool cancel)
void | IgnitionStopAll (bool cancel, JniErrorInfo *errInfo)
int64_t | TargetInLongOutLong (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
int64_t | TargetInStreamOutLong (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
void | TargetInStreamOutStream (jobject obj, int opType, int64_t inMemPtr, int64_t outMemPtr, JniErrorInfo *errInfo=NULL)
jobject | TargetInStreamOutObject (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
jobject | TargetInObjectStreamOutObjectStream (jobject obj, int opType, void *arg, int64_t inMemPtr, int64_t outMemPtr, JniErrorInfo *errInfo=NULL)
void | TargetOutStream (jobject obj, int opType, int64_t memPtr, JniErrorInfo *errInfo=NULL)
jobject | TargetOutObject (jobject obj, int opType, JniErrorInfo *errInfo=NULL)
void | TargetInStreamAsync (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
jobject | TargetInStreamOutObjectAsync (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
jobject | CacheOutOpQueryCursor (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
jobject | CacheOutOpContinuousQuery (jobject obj, int type, int64_t memPtr, JniErrorInfo *errInfo=NULL)
jobject | Acquire (jobject obj)
void | DestroyJvm ()
void | ThrowToJava (char *errMsg)

## Static Public Member Functions
static JniContext * | Create (char **opts, int optsLen, JniHandlers hnds)
static JniContext * | Create (char **opts, int optsLen, JniHandlers hnds, JniErrorInfo *errInfo)
static int | Reallocate (int64_t memPtr, int cap)
static void | Detach ()
static void | Release (jobject obj)
static void | SetConsoleHandler (ConsoleWriteHandler consoleHandler)
static int | RemoveConsoleHandler (ConsoleWriteHandler consoleHandler)

## Detailed Description

Unmanaged context.

The documentation for this class was generated from the following files:

- java.h
- java.cpp